<?php
/**
 * Copyright (C) 2020 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author   Robert Lange <lange@ub.uni-leipzig.de>
 * @author   Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */

namespace finc\Form\View\Helper;

use Zend\Form\Element;
use Zend\Form\View\Helper\FormLabel as Base;

class FormLabel extends Base
{
    public function openTag($element = null)
    {
        if ($element instanceof Element) {
            $element->setLabelAttributes(
                [
                    'data-type'     => $element->getAttribute('type'),
                    'data-name'     => $element->getAttribute('name'),
                    'data-required' => $element->getAttribute('required')
                        ? 'true' : 'false'
                ] + $element->getLabelAttributes()
            );
        }
        return parent::openTag($element);
    }
}